curl --request GET \
--url https://api.sandbox.lead.bank/v0/entities/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v0/entities/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v0/entities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "individual",
"client_customer_id": "<string>",
"intended_roles": [
"account_holder"
],
"risk_score": "low",
"individual_details": {
"first_name": "<string>",
"last_name": "<string>",
"identification_details": {
"type": "us_entity",
"tax_identification": {
"type": "ssn",
"value": "<string>"
},
"identification_documents": [
{
"type": "drivers_license",
"identification_number": "<string>",
"issuing_country": "<string>",
"client_document_id": "<string>",
"description": "<string>",
"expiration_date": "2023-12-25",
"issuing_state": "<string>"
}
]
},
"preferred_first_name": "<string>",
"middle_name": "<string>",
"date_of_birth": "2002-02-15",
"occupation": "<string>",
"contact_methods": [
{
"type": "email",
"email": "abc@gmail.com"
}
],
"address_details": {
"physical_address": {
"line_1": "123 Main St.",
"city": "Denver",
"country": "US",
"line_2": "Apt 25",
"postal_code": 80014,
"state": "CO"
},
"mailing_address": {
"line_1": "123 Main St.",
"city": "Denver",
"country": "US",
"line_2": "Apt 25",
"postal_code": 80014,
"state": "CO"
},
"other_addresses": [
{
"line_1": "123 Main St.",
"city": "Denver",
"country": "US",
"line_2": "Apt 25",
"postal_code": 80014,
"state": "CO"
}
]
},
"additional_documents": [
{
"type": "bank_statement",
"client_document_id": "<string>",
"description": "<string>"
}
]
},
"rfi_details": {
"result": "completed",
"requested_at": "2023-11-07T05:31:56Z"
},
"ofac_details": {
"result": "passed",
"screened_at": "2023-11-07T05:31:56Z"
},
"kyc_details": {
"result": "passed",
"screened_at": "2023-11-07T05:31:56Z"
},
"credit_details": [
{
"credit_report_source": "equifax",
"credit_pulled_at": "2023-11-07T05:31:56Z",
"credit_score": "<string>",
"credit_report_non_score_value": "unestablished"
}
],
"role_details": [
{
"name": "account_holder",
"status": "active",
"criteria_details": [
{
"failed_checks": [
"<string>"
],
"entity_id": "<string>"
}
]
}
],
"metadata": {}
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}Retrieve an Entity by Entity ID
Retrieve an entity by entity id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Entity ID of the entity object you want to retrieve.
Response
An entity object.
- Individual
- Business
- Sole Prop
Unique ID for the Entity object.
Timestamp at which the entity object is created.
Timestamp at which the entity object was last updated.
Type of entity = individual.
^individual$Client customer ID for the entity object. Limit of 64 characters.
64The entity's intended role(s). In the event more than 1 role is passed in and at least 1 role doesn’t pass validation, the request will not succeed; it is an all or nothing behavior. For type business or sole_prop, only account_holder should be provided.
The entity's intended role. Lead highly recommends using this field to confirm data requirements for different roles to minimize errors later. In the event more than 1 role is passed in and at least 1 role doesn’t pass validation, the request will not succeed. It will be an all or nothing behavior. Lead currently supports:
authorized_user: Individual entity with restricted access to the account, without legal responsibility. Only applies to individual entity.authorized_signer: Individual entity allowed to sign on behalf of the account holder, without legal responsibility. Only applies to individual entity.account_holder: Entity with full control and legal responsibility for the account. Applies to all entity types.minor_account_holder: Individual entity aged 16-17 with account-holder eligibility. Individual entities only.
authorized_user, authorized_signer, account_holder, minor_account_holder ["account_holder"]
The entity's risk score, mapped to Lead by the client. Client should have provided risk score mapping to Lead.
low, medium, high "low"
Details for the individual entity
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Details on OFAC on the entity.
Show child attributes
Show child attributes
Details on KYC on the entity.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A set of key-value pairs that can be used to store additional information related to this object.
Show child attributes
Show child attributes
Was this page helpful?

